Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ssaglobal.generator.genctl
Interface TemplatePackagePreferences

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  TemplatePackagePreferencesImpl

    public interface TemplatePackagePreferences

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Template Package Preferences'.

The following features are supported:

- `Package Id`
- `Name`
- `Property`

See Also:
  `GenctlPackage.getTemplatePackagePreferences()`

Method Summary
`java.lang.String` | `getName()` Returns the value of the 'Name' attribute
`java.lang.String` | `getPackageId()` Returns the value of the 'Package Id' attribute
`org.eclipse.emf.common.util.EList` | `getProperty()` Returns the value of the 'Property' containment reference list.
`void` | `setName(java.lang.String value)` Sets the value of the '`Name`' attribute
`void` | `setPackageId(java.lang.String value)` Sets the value of the '`Package Id`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getPackageId

    java.lang.String getPackageId()

  Returns the value of the 'Package Id' attribute.

  If the meaning of the 'Package Id' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Package Id' attribute.
  See Also:
    `setPackageId(String)`, `GenctlPackage.getTemplatePackagePreferences_PackageId()`

### setPackageId

    void setPackageId(java.lang.String value)

  Sets the value of the '`Package Id`' attribute.

  Parameters:
    `value` - the new value of the 'Package Id' attribute.
  See Also:
    `getPackageId()`

### getName

    java.lang.String getName()

  Returns the value of the 'Name' attribute.

  If the meaning of the 'Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Name' attribute.
  See Also:
    `setName(String)`, `GenctlPackage.getTemplatePackagePreferences_Name()`

### setName

    void setName(java.lang.String value)

  Sets the value of the '`Name`' attribute.

  Parameters:
    `value` - the new value of the 'Name' attribute.
  See Also:
    `getName()`

### getProperty

    org.eclipse.emf.common.util.EList getProperty()

  Returns the value of the 'Property' containment reference list. The list contents are of type `GeneratorProperty`.

  If the meaning of the 'Property' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Property' containment reference list.
  See Also:
    `GenctlPackage.getTemplatePackagePreferences_Property()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD